Get Failed Ingest File Download URL
Function name:m3ter_GetValidationErrorDownloadUrl
Category: READ
HTTP method: GET
Destination: m3ter
Returns a presigned download URL for failed ingest file download based on the file path provided.
If a usage data ingest measurement you submit to the m3ter platform fails, an ingest.validation.failure Event is generated. Use this call to obtain a download URL which you can then use to download a file containing details of what went wrong with the attempted usage data measurement ingest, and allowing you to follow-up and resolve the issue.
To obtain the file query parameter:
- Use the List Events call with the
ingest.validation.failurefor theeventNamequery parameter. - The response contains a
getDownloadUrlresponse parameter and this contains the file path you can use to obtain the failed ingest file download URL.
- The presigned Url returned to use for failed ingest file download is time-bound and expires after 5 minutes.
- If you make a List Events call for
ingest.validation.failureEvents in your Organization, then you can perform this GET call using the full URL returned for any ingest failure Event to obtain a failed ingest file download URL for the Event.